v2.0
get
/ec-library-svc/rest/v2.0/libraryObjects/pagination
Gets a library objects with pagination depending on query parameters
Request
Query Parameters
-
excludeStudyId: string(uuid)
excludeStudyIdExample:
B1B8327AFAA6412287106192AB5984EF -
libraryId: string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the library object.Example:
B1B8327AFAA6412287106192AB5984EF -
limit(required): integer(int32)
Minimum Value:
0limitExample:50 -
objectGroup: string
objectGroupExample:
Demography -
objectGroupEquals: string
objectGroupEqualsExample:
Demography -
objectId: string(uuid)
objectIdExample:
B1B8327AFAA6412287106192AB5984EF -
objectType: string
objectTypeExample:
FORM -
offset(required): integer(int32)
Minimum Value:
0offsetExample:0 -
onlyRoot: boolean
onlyRootDefault Value:
falseExample:false -
orderBy: string
orderByExample:
lastModifiedDate:desc -
status: string
statusExample:
DRAFT -
studyId: string(uuid)
studyIdExample:
B1B8327AFAA6412287106192AB5984EF -
studyVersion: string
studyVersionExample:
1.0.0.1 -
tags: string
tagsExample:
LIB
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : schema
Type:
Show Source
array-
Array of:
object LibraryDtoV1.0
Title:
LibraryDtoV1.0Information about a library object.
Nested Schema : LibraryDtoV1.0
Type:
objectTitle:
LibraryDtoV1.0Information about a library object.
Show Source
-
description: string
Title:
DescriptionDescription of the library object.Example:Advanced demography form -
libraryId: string
Title:
Library IDUnique identifier (UUID, 32-character uppercase hexadecimal string) of the library object.Example:B1B8327AFAA6412287106192AB5984EF -
libraryVersion: string
Title:
Library versionVersion identifier of the library.Example:1.0 -
objectGroup: string
Title:
Object groupObject group or title.Example:Demography -
objectId: string
Title:
Object IDUnique identifier (UUID, 32-character uppercase hexadecimal string) of the underlying object (for example, forms or rules).Example:B1B8327AFAA6412287106192AB5984EF -
objectType: string
Title:
Object typeType of the underlying object.Example:FORM -
status: string
Title:
StatusStatus of the resource.Example:DRAFT -
studyId: string
Title:
Study IDUnique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.Example:B1B8327AFAA6412287106192AB5984EF -
studyVersion: string
Title:
Study versionString representing the version of the study configuration or protocol. Helps track changes in form or study design.Example:1.0.0.1 -
tags: string
Title:
TagsComma-separated tags associated with the library object.Example:LIB
Examples
500 Response
Error
Nested Schema : details
Type:
object